<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" version="1.0">
	<xsl:output method="html" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">
		<html style="font-family: 'Arial'">
			<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
			<style> TABLE { border-color:000} </style>
			<body>
				<table border="0" cellspacing="0" cellpadding="0" style="width:19.0cm">
					<tr>
						<td style="width:19.0cm; border-style:solid solid solid solid; border-width:0pt 0pt 0pt 0pt; font-size:9pt" align="center">
							<b>Протокол обработки файла</b>
						</td>
					</tr>
					<tr>
						<td style="width:19.0cm; border-style:solid solid solid solid; border-width:0pt 0pt 0pt 0pt; font-size:8pt" align="center">
							<table border="0" cellspacing="0" cellpadding="0" style="width:19.0cm">
								<tr>
									<td style="width:4.0cm; border-style:solid solid solid solid; border-width:0pt 0pt 0pt 0pt; font-size:8pt" align="left">Имя обработанного файла:</td>
									<td style="width:15.0cm; border-style:solid solid solid solid; border-width:0pt 0pt 0pt 0pt; font-size:8pt" align="left">
										<xsl:value-of select="Файл/@ИмяОбрабФайла"/>

									</td>
								</tr>
								<tr>
									<td style="width:4.0cm; border-style:solid solid solid solid; border-width:0pt 0pt 0pt 0pt; font-size:8pt" align="left">Тип обработанного файла:</td>
									<td style="width:15.0cm; border-style:solid solid solid solid; border-width:0pt 0pt 0pt 0pt; font-size:8pt" align="left">
										<xsl:value-of select="Файл/@ТипОбрабФайла"/>

									</td>
								</tr>
								<tr>
									<td style="width:4.0cm; border-style:solid solid solid solid; border-width:0pt 0pt 0pt 0pt; font-size:8pt" align="left">Дата проверки:</td>
									<td style="width:15.0cm; border-style:solid solid solid solid; border-width:0pt 0pt 0pt 0pt; font-size:8pt" align="left">
										<xsl:value-of select="Файл/@ДатаВремя"/>

									</td>
								</tr>
								<tr>
									<td style="width:4.0cm; border-style:solid solid solid solid; border-width:0pt 0pt 0pt 0pt; font-size:8pt" align="left">Количество ошибок:</td>
									<td style="width:15.0cm; border-style:solid solid solid solid; border-width:0pt 0pt 0pt 0pt; font-size:8pt" align="left">
										<xsl:value-of select="Файл/@КолОш"/>

									</td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td style="width:19.0cm; border-style:solid solid solid solid; border-width:0pt 0pt 0pt 0pt; font-size:9pt" align="center">
							<b>Сведения по выявленным ошибкам</b>
						</td>
					</tr>
					<tr>
						<td style="width:19.0cm; border-style:solid solid solid solid; border-width:0pt 0pt 0pt 0pt; font-size:9pt" align="center">
							<table border="0" cellspacing="0" cellpadding="2" style="width:19.0cm; font-size:9pt">
								<colgroup span="4">
									<col width="1.0cm"/>
									<col width="6.0cm"/>
									<col width="4.0cm"/>
									<col width="8.0cm"/>
								</colgroup>
								<tr>
									<td style="width:1.0cm; border-style:solid solid solid solid; border-width:1pt 0pt 1pt 1pt; font-weight:bold" align="center">
										№
										<br/>
										п/п
									</td>
									<td style="width:6.0cm; border-style:solid solid solid solid; border-width:1pt 0pt 1pt 1pt; font-weight:bold" align="center">Путь к элементу (атрибуту)</td>
									<td style="width:4.0cm; border-style:solid solid solid solid; border-width:1pt 0pt 1pt 1pt; font-weight:bold" align="center">Значение</td>
									<td style="width:8.0cm; border-style:solid solid solid solid; border-width:1pt 1pt 1pt 1pt; font-weight:bold" align="center">
										Текст сообщения
										<br/>
										об ошибке
									</td>
								</tr>
								<xsl:choose>
									<xsl:when test="Файл/@КолОш != 0">
										<xsl:for-each select="Файл/СвПоОшибке">
											<tr>
												<td style="width:1.0cm; border-style:solid solid solid solid; border-width:0pt 0pt 1pt 1pt" align="center">
													<xsl:value-of select="position()"/>

												</td>
												<td style="width:6.0cm;border-style:solid solid solid solid; border-width:0pt 0pt 1pt 1pt; word-wrap:break-word" align="left">
													<xsl:value-of select="@ПолОшЭл"/>

												</td>
												<td style="width:4.0cm;border-style:solid solid solid solid; border-width:0pt 0pt 1pt 1pt" align="center">
													<xsl:value-of select="@ЗнЭлем"/>

												</td>
												<td style="width:8.0cm;border-style:solid solid solid solid; border-width:0pt 1pt 1pt 1pt" align="left">
													<xsl:value-of select="ТекстОш"/>

												</td>
											</tr>
										</xsl:for-each>
									</xsl:when>
									<xsl:when test="Файл/@КолОш = 0">
										<tr>
											<td style="width:19.0cm; border-style:solid solid solid solid; border-width:0pt 1pt 1pt 1pt" colspan="4" align="center">В файле обмена ошибок не выявлено</td>
										</tr>
									</xsl:when>
								</xsl:choose>
								<tr>
									<td style="width:1.0cm; border-style:solid solid solid solid; border-width:0pt 0pt 0pt 0pt" align="center"> </td>
									<td style="width:6.0cm; border-style:solid solid solid solid; border-width:0pt 0pt 0pt 0pt" align="center"> </td>
									<td style="width:4.0cm; border-style:solid solid solid solid; border-width:0pt 0pt 0pt 0pt" align="center"> </td>
									<td style="width:8.0cm; border-style:solid solid solid solid; border-width:0pt 0pt 0pt 0pt" align="center"> </td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td style="width:19.0cm; border-style:solid solid solid solid; border-width:0pt 0pt 0pt 0pt; font-size:8pt" align="left">
							Проверено программой
							<xsl:value-of select="Файл/@НаимПрог"/>
							версии
							<xsl:value-of select="Файл/@ВерсПрог"/>
						</td>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>